Distribution
CommunityPool
/cosmos/distribution/v1beta1/community_poolWARNING: This query will fail if an external community pool is used.
DelegationTotalRewards
/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewardsDelegationTotalRewards queries the total rewards accrued by each validator.
DelegationRewards
/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards/{validator_address}DelegationRewards queries the total rewards accrued by a delegation.
DelegatorValidators
/cosmos/distribution/v1beta1/delegators/{delegator_address}/validatorsDelegatorValidators queries the validators of a delegator.
DelegatorWithdrawAddress
/cosmos/distribution/v1beta1/delegators/{delegator_address}/withdraw_addressDelegatorWithdrawAddress queries withdraw address of a delegator.
ValidatorDistributionInfo
/cosmos/distribution/v1beta1/validators/{validator_address}ValidatorDistributionInfo queries validator commission and self-delegation rewards for validator
ValidatorCommission
/cosmos/distribution/v1beta1/validators/{validator_address}/commissionValidatorCommission queries accumulated commission for a validator.
ValidatorOutstandingRewards
/cosmos/distribution/v1beta1/validators/{validator_address}/outstanding_rewardsValidatorOutstandingRewards queries rewards of a validator address.
ValidatorSlashes
/cosmos/distribution/v1beta1/validators/{validator_address}/slashesValidatorSlashes queries slash events of a validator.
Path Parameters
Query Parameters
string <uint64>starting_height defines the optional starting height to query the slashes.
string <uint64>starting_height defines the optional ending height to query the slashes.
stringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.